Name: 		sane
Version: 	1.0.19
Release: 	1
Summary: 	SANE - local and remote scanner access. This package contains command line utilities
URL:		http://www.sane-project.org/
Source0: 	sane-backends-%{version}.tar.gz
Source1:	hal-usb-scanner-add
Copyright: 	GPL
Group: 		Graphics
BuildRequires: 	XFree86-devel libjpeg-devel gphoto2 libusb-devel libieee1284-devel
Requires: 	gphoto2 libusb libieee1284
Provides: 	libsane sane-backends
Buildroot: 	%{_tmppath}/%{name}-root-NEW
%define		_sysconfdir	/etc/X11/sane

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, read the saned(1) manpage.

%package 	devel
Summary:        USB library header files and documentation.
Group:          Development
Provides: 	libsane-devel sane-backends-devel
%description 	devel
Libraries and headers needed for developing programs that use sane.

%prep
%setup -q -n sane-backends-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s \
%configure --disable-nls --without-included-gettext --with-gphoto2
# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h
make

( cd doc
  make docs ps
)

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv $RPM_BUILD_ROOT/%{_sbindir}/saned $RPM_BUILD_ROOT/%{_sbindir}/in.saned
mkdir -p %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor
install -m 0644 tools/hal/libsane.fdi %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/19-libsane.fdi
mkdir -p %{buildroot}/%{_libexecdir}
install -m 0755 %{SOURCE1} %{buildroot}/%{_libexecdir}/hal-usb-scanner-add

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/etc
/usr/lib/*.so*
/usr/lib/*.la
/usr/lib/sane/*.so*
/usr/lib/sane/*.la
/usr/bin/sane-find*
/usr/bin/scan*
/usr/bin/g*
/usr/bin/h*
/usr/sbin
/usr/share
/usr/man
/usr/doc

%files devel
%defattr (-,root,root)
/usr/bin/sane-config
/usr/include
